Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
WGPUExternalTextureDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes
WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
WGPUTextureView | plane0
WGPU_NULLABLE WGPUTextureView | plane1
WGPUOrigin2D | visibleOrigin
WGPUExtent2D | visibleSize
WGPUBool | doYuvToRgbConversionOnly
WGPU_NULLABLE float const * | yuvToRgbConversionMatrix
float const * | srcTransferFunctionParameters
float const * | dstTransferFunctionParameters
float const * | gamutConversionMatrix
WGPUBool | flipY
WGPUBool | mirrored
WGPUExternalTextureRotation | rotation

## Detailed Description

Definition at line 1814 of file mini_webgpu.h.

## Member Data Documentation

## ◆ nextInChain

WGPUChainedStruct const* WGPUExternalTextureDescriptor::nextInChain

Definition at line 1815 of file mini_webgpu.h.

## ◆ label

WGPU_NULLABLE char const* WGPUExternalTextureDescriptor::label

Definition at line 1816 of file mini_webgpu.h.

## ◆ plane0

WGPUTextureView WGPUExternalTextureDescriptor::plane0

Definition at line 1817 of file mini_webgpu.h.

## ◆ plane1

WGPU_NULLABLE WGPUTextureView WGPUExternalTextureDescriptor::plane1

Definition at line 1818 of file mini_webgpu.h.

## ◆ visibleOrigin

WGPUOrigin2D WGPUExternalTextureDescriptor::visibleOrigin

Definition at line 1819 of file mini_webgpu.h.

## ◆ visibleSize

WGPUExtent2D WGPUExternalTextureDescriptor::visibleSize

Definition at line 1820 of file mini_webgpu.h.

## ◆ doYuvToRgbConversionOnly

WGPUBool WGPUExternalTextureDescriptor::doYuvToRgbConversionOnly

Definition at line 1821 of file mini_webgpu.h.

## ◆ yuvToRgbConversionMatrix

WGPU_NULLABLE float const* WGPUExternalTextureDescriptor::yuvToRgbConversionMatrix

Definition at line 1822 of file mini_webgpu.h.

## ◆ srcTransferFunctionParameters

float const* WGPUExternalTextureDescriptor::srcTransferFunctionParameters

Definition at line 1823 of file mini_webgpu.h.

## ◆ dstTransferFunctionParameters

float const* WGPUExternalTextureDescriptor::dstTransferFunctionParameters

Definition at line 1824 of file mini_webgpu.h.

## ◆ gamutConversionMatrix

float const* WGPUExternalTextureDescriptor::gamutConversionMatrix

Definition at line 1825 of file mini_webgpu.h.

## ◆ flipY

WGPUBool WGPUExternalTextureDescriptor::flipY

Definition at line 1826 of file mini_webgpu.h.

## ◆ mirrored

WGPUBool WGPUExternalTextureDescriptor::mirrored

Definition at line 1827 of file mini_webgpu.h.

## ◆ rotation

WGPUExternalTextureRotation WGPUExternalTextureDescriptor::rotation

Definition at line 1828 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h